Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor
Class ResponseMessageProcessorAdapter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractResponseMessageProcessor
              org.mule.processor.ResponseMessageProcessorAdapter

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ResponseMessageProcessorAdapter

extends AbstractResponseMessageProcessor
implements Lifecycle, FlowConstructAware

Field Summary
`protected FlowConstruct` | `flowConstruct`
`protected MessageProcessor` | `responseProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ResponseMessageProcessorAdapter()`
`ResponseMessageProcessorAdapter(MessageProcessor responseProcessor)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`void` | `initialise()` Method used to perform any initialisation work.
`protected MuleEvent` | `processResponse(MuleEvent event)`
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`
`void` | `setProcessor(MessageProcessor processor)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.mule.processor.AbstractResponseMessageProcessor
`process`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### responseProcessor

    protected MessageProcessor responseProcessor

### flowConstruct

    protected FlowConstruct flowConstruct

Constructor Detail

### ResponseMessageProcessorAdapter

    public ResponseMessageProcessorAdapter()

### ResponseMessageProcessorAdapter

    public ResponseMessageProcessorAdapter(MessageProcessor responseProcessor)

Method Detail

### setProcessor

    public void setProcessor(MessageProcessor processor)

### processResponse

    protected MuleEvent processResponse(MuleEvent event)
                                 throws MuleException

  Specified by:
    `processResponse` in class `AbstractResponseMessageProcessor`
  Throws:
    `MuleException`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### setFlowConstruct

    public void setFlowConstruct(FlowConstruct flowConstruct)

  Specified by:
    `setFlowConstruct` in interface `FlowConstructAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.